flow123d_version: 2.0.0
problem: !Coupling_Sequential
  description: Steady flow + transport with source
  mesh:
    mesh_file: ../00_mesh/rectangle_2x5.msh
  flow_equation: !Flow_Darcy_MH
    output_specific:
    nonlinear_solver:
      linear_solver: !Petsc
        a_tol: 1.0e-12
        r_tol: 1.0e-12
    n_schurs: 2
    input_fields:
      - region: .BOUNDARY
        bc_type: dirichlet
        bc_pressure: !FieldFormula
          value: y
      - region: BULK
        cross_section: 1
        anisotropy: 1
    output:
      fields:
        - pressure_p0
        - pressure_p1
        - velocity_p0
    balance: {}
    time:
      end_time: 5.7
      max_dt: 1.0
      min_dt: 1.0
    output_stream: 
      file: ./flow_test16.pvd
      format: !vtk
        variant: ascii
      name: flow_output_stream
  solute_equation: !Coupling_OperatorSplitting
    transport: !Solute_Advection_FV
      input_fields:
        - region: .BOUNDARY
          bc_conc: 0
        - region: BULK
          init_conc: 0
          porosity: 1
          sources_density: !FieldElementwise
            gmsh_file: 02_input_sources.msh
            field_name: density
          sources_sigma: !FieldElementwise
            gmsh_file: 02_input_sources.msh
            field_name: sigma
          sources_conc: !FieldElementwise
            gmsh_file: 02_input_sources.msh
            field_name: concentration
    output_stream: 
      file: ./transport_test16.pvd
      format: !vtk
        variant: ascii
      name: transport_output_stream
      times:
        - step: 0.8
    sources_file: ./input/test16.tso
    substances:
      - conc
    time:
      end_time: 5.7
    balance:
      cumulative: true